Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_DynCommon Class Reference

`#include <DynCommon.h>`

Inheritance diagram for TAO_DynCommon:

[legend]
Collaboration diagram for TAO_DynCommon:

[legend]
List of all members.

## Public Methods
| TAO_DynCommon (void)
| Constructor.
virtual | ~TAO_DynCommon (void)
| Destructor.
virtual CORBA::TypeCode_ptr | type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | assign (DynamicAny::DynAny_ptr dyn_any ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )
virtual void | insert_boolean (CORBA::Boolean value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_octet (CORBA::Octet value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_char (CORBA::Char value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_short (CORBA::Short value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_ushort (CORBA::UShort value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_long (CORBA::Long value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_ulong (CORBA::ULong value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_float (CORBA::Float value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_double (CORBA::Double value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_string (const char *value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_reference (CORBA::Object_ptr value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_typecode (CORBA::TypeCode_ptr value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_longlong (CORBA::LongLong value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_ulonglong (CORBA::ULongLong value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_longdouble (CORBA::LongDouble value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_wchar (CORBA::WChar value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_wstring (const CORBA::WChar *value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_any (const CORBA::Any &value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_dyn_any (DynamicAny::DynAny_ptr value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | insert_val (CORBA::ValueBase *value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Boolean | get_boolean (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Octet | get_octet (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Char | get_char (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Short | get_short (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::UShort | get_ushort (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Long | get_long (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::ULong | get_ulong (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Float | get_float (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Double | get_double (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual char * | get_string (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Object_ptr | get_reference (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::TypeCode_ptr | get_typecode (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::LongLong | get_longlong (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::ULongLong | get_ulonglong (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::LongDouble | get_longdouble (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::WChar | get_wchar (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::WChar * | get_wstring (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Any * | get_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual DynamicAny::DynAny_ptr | get_dyn_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::ValueBase * | get_val (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Boolean | seek (CORBA::Long index ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | rewind (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual CORBA::Boolean | next (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual DynamicAny::DynAny_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual CORBA::ULong | component_count (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
## Protected Methods
void | set_flag (DynamicAny::DynAny_ptr component, CORBA::Boolean destroying ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
## Protected Attributes
CORBA::Boolean | ref_to_component_
| Were we created by current_component()?
CORBA::Boolean | container_is_destroying_
| Flag to let destroy() call by container override the flag above.
CORBA::Boolean | has_components_
| Do we contain other Dynamic Anys?
CORBA::Boolean | destroyed_
| Has destroy() been called on us yet?
CORBA::Long | current_position_
| Slot of the current component (if any).
CORBA::ULong | component_count_
| Number of components, as defined by CORBA 2.4.2.
CORBA::TypeCode_var | type_
| Holder for our type code.
CORBA::Any | any_
## Private Methods
DynamicAny::DynAny_ptr | check_component (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
void | check_type (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )
CORBA::TypeCode_ptr | check_type_and_unalias (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )

## Detailed Description

Contains most of the functionality common to all the Dynamic Any implementation classes.

## Constructor & Destructor Documentation

TAO_DynCommon::TAO_DynCommon | ( | void |  | ) |

| Constructor.

TAO_DynCommon::~TAO_DynCommon | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void TAO_DynCommon::assign | ( | DynamicAny::DynAny_ptr dyn_any | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )`[virtual]`

| Implements DynamicAny::DynAny.

DynamicAny::DynAny_ptr TAO_DynCommon::check_component | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[private]`

void TAO_DynCommon::check_type | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )`[private]`

CORBA::TypeCode_ptr TAO_DynCommon::check_type_and_unalias | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )`[private]`

CORBA::ULong TAO_DynCommon::component_count | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Implements DynamicAny::DynAny.

DynamicAny::DynAny_ptr TAO_DynCommon::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::Any_ptr TAO_DynCommon::get_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::Boolean TAO_DynCommon::get_boolean | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::Char TAO_DynCommon::get_char | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::Double TAO_DynCommon::get_double | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

DynamicAny::DynAny_ptr TAO_DynCommon::get_dyn_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::Float TAO_DynCommon::get_float | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::Long TAO_DynCommon::get_long | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::LongDouble TAO_DynCommon::get_longdouble | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::LongLong TAO_DynCommon::get_longlong | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::Octet TAO_DynCommon::get_octet | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::Object_ptr TAO_DynCommon::get_reference | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::Short TAO_DynCommon::get_short | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

char * TAO_DynCommon::get_string | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::TypeCode_ptr TAO_DynCommon::get_typecode | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::ULong TAO_DynCommon::get_ulong | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::ULongLong TAO_DynCommon::get_ulonglong | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::UShort TAO_DynCommon::get_ushort | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::ValueBase * TAO_DynCommon::get_val | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::WChar TAO_DynCommon::get_wchar | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::WChar * TAO_DynCommon::get_wstring | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::insert_any | ( | const CORBA::Any &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::insert_boolean | ( | CORBA::Boolean value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::insert_char | ( | CORBA::Char value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::insert_double | ( | CORBA::Double value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::insert_dyn_any | ( | DynamicAny::DynAny_ptr value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::insert_float | ( | CORBA::Float value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::insert_long | ( | CORBA::Long value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::insert_longdouble | ( | CORBA::LongDouble value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::insert_longlong | ( | CORBA::LongLong value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::insert_octet | ( | CORBA::Octet value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::insert_reference | ( | CORBA::Object_ptr value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::insert_short | ( | CORBA::Short value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::insert_string | ( | const char *value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::insert_typecode | ( | CORBA::TypeCode_ptr value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::insert_ulong | ( | CORBA::ULong value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::insert_ulonglong | ( | CORBA::ULongLong value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::insert_ushort | ( | CORBA::UShort value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

virtual void TAO_DynCommon::insert_val | ( | CORBA::ValueBase *value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::insert_wchar | ( | CORBA::WChar value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::insert_wstring | ( | const CORBA::WChar *value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::Boolean TAO_DynCommon::next | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::rewind | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Implements DynamicAny::DynAny.

virtual CORBA::Boolean TAO_DynCommon::seek | ( | CORBA::Long index | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynCommon::set_flag | ( | DynamicAny::DynAny_ptr | component,
|  | CORBA::Boolean destroying | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[protected]`

| This sets one of two flags in this base class. CORBA 2.4.2 requires that destroy() do nothing if it is called on the result of current_component(), the only non-deep-copying method in the Dynamic Any API. If the boolean arg below is 0, the call is from inside current_component(), and the flag ref_to_component_ is set. If the boolean arg is 1, the call is from inside destroy(), and the container_is_destroying_ flag is set, overriding the first flag in the component's destroy() method.

CORBA::TypeCode_ptr TAO_DynCommon::type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Implements DynamicAny::DynAny.

## Member Data Documentation

CORBA::Any TAO_DynCommon::any_`[protected]`

| Gets a value only for basic types, but used in insert_* and get_*, defined in this base class.

CORBA::ULong TAO_DynCommon::component_count_`[protected]`

| Number of components, as defined by CORBA 2.4.2.

CORBA::Boolean TAO_DynCommon::container_is_destroying_`[protected]`

| Flag to let destroy() call by container override the flag above.

CORBA::Long TAO_DynCommon::current_position_`[protected]`

| Slot of the current component (if any).

CORBA::Boolean TAO_DynCommon::destroyed_`[protected]`

| Has destroy() been called on us yet?

CORBA::Boolean TAO_DynCommon::has_components_`[protected]`

| Do we contain other Dynamic Anys?

CORBA::Boolean TAO_DynCommon::ref_to_component_`[protected]`

| Were we created by current_component()?

CORBA::TypeCode_var TAO_DynCommon::type_`[protected]`

| Holder for our type code.

The documentation for this class was generated from the following files:

- DynCommon.h
- DynCommon.cpp